Subject: bug#14492: [PATCH2] Re: bug# 14492: Bug in Elisp manual

From: Kelly Dean <[email-masked]>
Date: Tue, 11 Jun 2013 19:21:26 -0700 (PDT)

Glenn Morris <[email-masked]> wrote:
>> My work is in the public domain, so no copyright assignment is
>> necessary or possible. Since the FSF says that the U.S. Congress
>> claims that my work isn't in the public domain, and the FSF
>> therefore requires assignment, I can't contribute to Emacs.
>
>Have you already discussed this with [email-masked]?

Yes. The copyright clerk said "placing a work in the public domain is difficult/may not be possible".

>> That's why I've only been sending bugfixes (under the tiny-change
>> limit, so no assignment needed) after learning of this problem.
>
>The tiny change limit is a cumulative one. It doesn't mean we can
>accept an infinite number of tiny changes from you. I think (without
>checking carefully) that you have already reached the limit.
>
>In any case, it's probably better if you don't send patches, just
>clear descriptions of the problem so that someone else can fix it.

A patch is the clearest description; anything else is less clear. Since I fix the bug locally for my own use, I have to make the patch anyway, and apply it locally to a clean copy of Emacs and test it, in order to verify that my description of the bug and solution are right, rather than just being some artifact of my customized environment. It seems rude to send a bug report and say, "here's a bug, and I know how to fix it, but I'm not going to tell you." Besides that, for documentation bugs like 14492, there isn't even a difference between the bug description and the solution.

But I certainly don't want to cause copyright hassles for the maintainers, so if you don't want me to send any more patches, then I won't. Does this mean that I shouldn't report documentation bugs at all? Or is copyright law so insane that there's a legal difference between:
--- emacs-24.3/doc/lispref/functions.texi
+++ emacs-24.3/doc/lispref/functions.texi
@@ -981 +981 @@
-  (change-property symbol prop (lambda (x) (* 2 x))))
+  (change-property symbol prop '(lambda (x) (* 2 x))))

and the English prose, "in the file emacs-24.3/doc/lispref/functions.texi, on line 981, before the parenthesis before the word lambda, there's supposed to be an apostrophe"?